import java.util.List;
import java.util.ArrayList;

import javax.swing.table.AbstractTableModel;

class PessoaTableModel extends AbstractTableModel
{
    private List<Pessoa> pessoas = new ArrayList<Pessoa>();
    
    public void setPessoas(List<Pessoa> pessoas) {
        this.pessoas.clear();
        this.pessoas.addAll(pessoas);
        fireTableDataChanged();
    }
	
    public int getRowCount() { return pessoas.size(); }

    public int getColumnCount() { return 3; }

    public Object getValueAt(int rowIndex, int columnIndex) {	
        Pessoa p = pessoas.get(rowIndex);
		
        switch (columnIndex) {
            case  0: return p.getNome();
            case  1: return p.getIdade();
            case  2: return p.isBrasileiro();
            default: return null;
        }
    }
    public String getColumnName(int columnIndex) {
        switch (columnIndex) {
            case  0: return "Nome";
            case  1: return "Idade";
            case  2: return "Brasileiro";
            default: return null;
        }
    }
	
    public Class getColumnClass(int columnIndex) {
        switch (columnIndex) {
            case 0: return String.class;
            case 1: return Integer.class;
            case 2: return Boolean.class;
            default: return null;
        }
    }
}